> For the complete documentation index, see [llms.txt](https://docs.coinbar.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coinbar.io/api-web-integration/api-documentation.md).

# API Documentation

{% hint style="info" %}
The CoinbarPay API allows you to integrate our powerful and secure cryptocurrency payment gateway into your custom web applications or eCommerce platforms.&#x20;
{% endhint %}

To assist you in effectively using the API, this documentation covers various aspects related to communication, management, and utilization of the provided functions.

The following subpages offer in-depth information and guidance on specific API topics:

1. [<mark style="color:blue;">**Authentication**</mark>](/api-web-integration/api-documentation/authentication.md): Learn how to securely authenticate your requests to the CoinbarPay API using API keys, specifically the <mark style="color:purple;">`SERVICE_CLIENT_ID`</mark> and `SIGNATURE_TOKEN`. \
   This section explains the process of generating keys, adding them to your request headers, and following best practices for security.
2. [<mark style="color:blue;">**Request Payment**</mark>](/api-web-integration/api-documentation/request-new-payment-web-page.md): Understand how to initiate a new payment request using the CoinbarPay API, including required parameters, data formats, and request structure. \
   This will enable you to create a seamless and customized payment experience for your customers.
3. [<mark style="color:blue;">**Payment Gateway**</mark>](/api-web-integration/api-documentation/payment-gateway.md): This section covers the necessary steps the final customer has to complete a payment transaction.
4. [<mark style="color:blue;">**Reports**</mark>](/api-web-integration/api-documentation/reports.md)<mark style="color:blue;">:</mark> Learn how to access and manage transaction and settlement reports for your CoinbarPay account using the API. \
   This section covers report formats, query parameters, and data manipulation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coinbar.io/api-web-integration/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
